Pagina 1 di 1

amsn: loading TkCximage failed

Inviato: mar 13 gen 2009, 13:13
da mamas
Salve a tutti...
Ho un problema con amsn:
Utilizzo Slackware 12.1 con GnomeSlacky
Ho scaricato i sorgenti delle ultime versioni delle librerie tcl e tk, esattamente le
tcl8.5.0 e tk8.5.0 e le ho compilate e installate con i seguenti comandi:
- Per le tcl 8.5.0:
make distclean
autoconf
./configure --prefix=/usr/ --enable-shared # sul README di snack dice di mettere --enable-shared
make
make install

-Per le tk8.5.0:
make distclean
autoconf
./configure --prefix/usr --enable-shared --enable-xft
make
make install


Ho scaricato i sorgenti di amsn0.97.2 e dopo averli estratti ho dato i seguenti comandi
./configure --with-tcl=/usr/lib --with-tk=/usr/lib
make
make install

e il tutto senza errori con il riconoscimento delle librerie precedentemente installate.
Quando do il comando amsn mi compare una finestra con scritto:
--Loading TkCximage failed. This module is needed to run aMsn. Please compile aMSN first, instructions on how to compile are located in the file INSTALL

Ora leggendo sui vari forum dice che questo errore si può ovviare con vari metodi:
1) dando i comandi da root
updatedb
locate wish

per ottenere una lista dei wish e cercare quale non trova ma a me non funziona proprio il comando "locate wish"

2)editare amsn in /usr/bin e scrivere alla terza riga invece di
exec wish $0 $@
la riga
exec wish8.5 $0 $@
ma mi da sempre lo stesso errore.

Cosa devo fare?
Aiuto!

Grazie

Mamas

Re: amsn: loading TkCximage failed

Inviato: mar 13 gen 2009, 13:22
da raffaele181188
In che senso non funziona locate wish??? Che errore ti dà?

Re: amsn: loading TkCximage failed

Inviato: mar 13 gen 2009, 14:09
da mamas
praticamente scrivo prima
updatedb
e poi
% locate wish
e non fa niente di niente
e devo uscire con ctrl+c
non mi da nessun errore


Mamas

Re: amsn: loading TkCximage failed

Inviato: sab 14 mar 2009, 16:46
da Noname
mamas ha scritto:Salve a tutti...
Ho un problema con amsn:
Utilizzo Slackware 12.1 con GnomeSlacky
Ho scaricato i sorgenti delle ultime versioni delle librerie tcl e tk, esattamente le
tcl8.5.0 e tk8.5.0 e le ho compilate e installate con i seguenti comandi:
- Per le tcl 8.5.0:
make distclean
autoconf
./configure --prefix=/usr/ --enable-shared # sul README di snack dice di mettere --enable-shared
make
make install

-Per le tk8.5.0:
make distclean
autoconf
./configure --prefix/usr --enable-shared --enable-xft
make
make install


Ho scaricato i sorgenti di amsn0.97.2 e dopo averli estratti ho dato i seguenti comandi
./configure --with-tcl=/usr/lib --with-tk=/usr/lib
make
make install

e il tutto senza errori con il riconoscimento delle librerie precedentemente installate.
Quando do il comando amsn mi compare una finestra con scritto:
--Loading TkCximage failed. This module is needed to run aMsn. Please compile aMSN first, instructions on how to compile are located in the file INSTALL

Ora leggendo sui vari forum dice che questo errore si può ovviare con vari metodi:
1) dando i comandi da root
updatedb
locate wish

per ottenere una lista dei wish e cercare quale non trova ma a me non funziona proprio il comando "locate wish"

2)editare amsn in /usr/bin e scrivere alla terza riga invece di
exec wish $0 $@
la riga
exec wish8.5 $0 $@
ma mi da sempre lo stesso errore.

Cosa devo fare?
Aiuto!

Grazie

Mamas
Secondo me non dovevi scaricare la versione con tcl/tk 8.5, ma quella con tcl/tk 8.4.
La Slackware 12.1 Gnome non credo che supporti le tcl/tk 8.5

Re: amsn: loading TkCximage failed

Inviato: dom 15 mar 2009, 14:41
da Blallo
la soluzione è installare le librerie tcl8.5 e tk8.5 in un'altra directory (tipo /opt/lib) e dare al configure di amsn questo percorso per le librerie...così lasci inalterate le 8.4 che sembra siano abbastanza importanti per il sistema...
Reinstalla le 8.4 se le hai sovrascritte e insalla le 8.5 in un altro percorso
bye

Re: amsn: loading TkCximage failed

Inviato: mer 22 apr 2009, 10:57
da Scarcella
Io ieri ho fatto il passaggio dalla 12.1 alla 12.2 e poi al kde 4.2.2 e ho lo stesso errore...per piu di qualche applicazione.
E'legato al fatto che quelle sono applicazioni per kde3 e quindi non compatibili? e quindi l'unica soluzione è aspettare che escano nuovi prodotti?
Oppure c'è un modo per rendere compatibili i programmi?

Re: amsn: loading TkCximage failed

Inviato: mer 22 apr 2009, 19:24
da tigerwalk
Scarcella ha scritto:Io ieri ho fatto il passaggio dalla 12.1 alla 12.2 e poi al kde 4.2.2 e ho lo stesso errore...per piu di qualche applicazione.
E'legato al fatto che quelle sono applicazioni per kde3 e quindi non compatibili? e quindi l'unica soluzione è aspettare che escano nuovi prodotti?
Oppure c'è un modo per rendere compatibili i programmi?
citazione da:
http://www.slackers.it/slackware-current-for-dummies/
Se si vuole il supporto alle applicazioni qt3/kde3 installare anche i seguenti pacchetti:

extra/kde3-compat/arts
extra/kde3-compat/kdelibs3
extra/kde3-compat/qca-tls1
extra/kde3-compat/qca1
extra/kde3-compat/qt3